Broadcom 5722

From Secure Computing Wiki
Revision as of 14:20, 30 October 2008 by 209.240.66.157 (Talk) (Support page for Broadcam 5722 patches.)

(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Broadcom logo.gif
The Dell PowerEdge R300, as I found out today, has a NIC which is incompatible/unsupported with FreeBSD 7.0 and earlier. The NIC in question, the Broadcom 5722, has had support added for 7.1 (not released as of this writing) and in HEAD. I found an incomplete walk-through for adding the patch for this card to 7.0 over at Hywel Mallett's site.

Manual Patch

There are 4 patches to be taken into consideration. Mr. Mallett forgot to mention the fourth of these, which is what makes his walk-through incomplete. Being your system will not have networking support, manually add the following patches:

Here's the unified diff for your flash drive: media:bcm5722.diff